var icms = icms || {};

icms.updownscroll = (function ($) {
    
    this.options = {
        
        title: {
            up:     'up',
            down:   'down'
        },
        
        view: {
            shape:              'square',
            size:               50,
            btn_color:          '#34495E',
            btn_color_hover:    '#27AE60',
            icon_color:         '#FFFFFF',
            icon_color_hover:   '#FFFFFF'
        },

        distance:       40,
        scroll_speed:   600,
        z_index:        99

    }

    this.setOptions = function(options){
        $.extend(true, this.options, options);
    }

    //====================================================================//    
    
    this.onDocumentReady = function(){

        _this = this;

        window.last_scroll_position = 0;

        var $btn_scroll = $('#btn-scroll');
        
        this.setCSS($btn_scroll);

        $btn_scroll.on('click', function(){
            if($btn_scroll.hasClass('has-position')){ 
                $btn_scroll.removeClass('has-position');    
                $("html,body").stop().animate({ scrollTop: window.last_scroll_position }, _this.options.scroll_speed );
                window.last_scroll_position = 0;
                $btn_scroll.attr('title', _this.options.title.up );
            }else{
                $btn_scroll.addClass('has-position');
                window.last_scroll_position = window.pageYOffset;
                $("html,body").stop().animate({ scrollTop: 0 }, _this.options.scroll_speed );
                $btn_scroll.attr('title', _this.options.title.down );
            }
            return false;
        });

        var last_position = 0;
        var is_show = false;

        $(window).scroll(function () {   

            if( window.pageYOffset > _this.options.distance ){
                if( !is_show ){
                    $btn_scroll.removeClass('hidden');
                    $btn_scroll.find('use').attr('xlink:href', '#icon-up');
                    is_show = true;
                }
            }else{
                if( is_show ){
                    $btn_scroll.addClass('hidden');
                    $btn_scroll.find('use').attr('xlink:href', '#icon-down');
                    is_show = false;
                }
            }

            if( last_position < window.pageYOffset){
                if( $btn_scroll.hasClass('has-position') ){
                    $btn_scroll.removeClass('has-position');
                }
            }
            last_position = window.pageYOffset;
        });

    }
    
    this.setCSS = function($btn) {
        
        _this = this;
        
        
        
        $btn.css({
            width:  this.options.view.size + "px",
            height: this.options.view.is_heigh ? "" : this.options.view.size + "px",
            background: this.options.view.btn_color,
            'z-index': this.options.z_index
        });
        
        if ( this.options.view.shape == "round" && !this.options.view.is_heigh ){
            $btn.css("border-radius", "50%");
        }
        
        if (typeof this.options.position !=="undefined"){
            $btn.css( this.options.position );
        }
        
        if (!this.options.distance){
            $btn.css("display", "block");
        }
        
        $btn.find('.btn-scroll-up-icon').css({
            width:  this.options.view.size + "px",
            height: this.options.view.size + "px",
            fill: this.options.view.icon_color
        });
        
        $btn.hover(function(){
            $(this).css({
                background: _this.options.view.btn_color_hover
            }).find('.btn-scroll-up-icon').css({
                fill: _this.options.view.icon_color_hover
            });
        }, function(){
            $(this).css({
                background: _this.options.view.btn_color
            }).find('.btn-scroll-up-icon').css({
                fill: _this.options.view.icon_color
            });
        });
        
    }
      
    //====================================================================//

    return this; 
    
}).call(icms.updownscroll || {},jQuery);